<template>
  <div class="app-container">
    <el-row :gutter="20">
      <el-col :span="18" :xs="24">
        <div class="mb20" v-if="showAlter">
          <el-alert title="任务被退回，请修改后重新提交" type="error" :closable="false">
            <return-comment :taskForm="taskForm" @isReturn="isReturn"></return-comment>
          </el-alert>
        </div>
        <el-form ref="form" :model="form" :rules="rules" label-width="130px">
          <el-form-item label="项目编号：" prop="projectId" v-if="taskForm.procDefName == '技术方案'">
            <el-input v-model="chooseProject.projectNumber" placeholder="请输入项目编号" disabled style="width: 300px" />
            <el-descriptions border v-if="isSelect" style="margin-top: 10px;" :column="1">
              <el-descriptions-item label="项目编号" label-class-name="my-label">{{ chooseProject.projectNumber
                }}</el-descriptions-item>
              <el-descriptions-item label="项目名称" label-class-name="my-label">{{ chooseProject.projectName
                }}</el-descriptions-item>
              <el-descriptions-item label="项目负责人" label-class-name="my-label">{{ chooseProject.projectLeaderUser ?
      chooseProject.projectLeaderUser.nickName : ''
                }}</el-descriptions-item>
              <el-descriptions-item label="承担部门" label-class-name="my-label">
                <el-tag size="small">{{ chooseProject.undertakingDeptName }}</el-tag>
              </el-descriptions-item>
              <el-descriptions-item label="项目类型" label-class-name="my-label">{{ chooseProject.projectType
                }}</el-descriptions-item>
            </el-descriptions>
          </el-form-item>
          <el-row>
            <el-col :span="8" :xs="24">
              <el-form-item label="技术负责人" prop="technicalDirector">
                <el-select v-model="form.technicalDirector" filterable clearable style="width:220px"
                  :disabled="taskName != '技术安排'">
                  <el-option v-for="item in userList" :key="item.userId" :label="item.nickName" :value="item.userId"
                    v-if="item.nickName != 'admin'">
                  </el-option>
                </el-select>
              </el-form-item>
            </el-col>
            <el-col :span="8" :xs="24">
              <el-form-item label="技术设计人" prop="technicalDesigner">
                <el-select v-model="form.technicalDesigner" filterable clearable style="width:220px"
                  :disabled="taskName != '技术安排'">
                  <el-option v-for="item in userList" :key="item.userId" :label="item.nickName" :value="item.userId"
                    v-if="item.nickName != 'admin'">
                  </el-option>
                </el-select>
              </el-form-item>
            </el-col>
            <el-col :span="8" :xs="24">
              <el-form-item label="质量检查员" prop="qualityInspector">
                <el-select v-model="form.qualityInspector" filterable multiple clearable style="width:220px"
                  :disabled="taskName != '技术安排'">
                  <el-option v-for="item in userList" :key="item.userId" :label="item.nickName" :value="item.userId"
                    v-if="item.nickName != 'admin'">
                  </el-option>
                </el-select>
              </el-form-item>
            </el-col>
          </el-row>
          <el-form-item label="技术安排意见" prop="planComment">
            <el-input type="textarea" v-model="form.planComment" :autosize="{ minRows: 4 }" placeholder="请输入技术安排意见"
              :disabled="taskName != '技术安排'" />
          </el-form-item>
          <el-row>
            <el-col :span="6" :xs="24" :offset="12">
              <el-form-item label="签名" prop="technicalPlanner" v-if="showFormItem('技术安排')">
                <span class="auditor"> {{ form.planUser ? form.planUser.nickName : planUser }} </span>
              </el-form-item>
            </el-col>
            <el-col :span="6">
              <el-form-item label="日期：" label-width="120px" v-if="showFormItem('技术安排')">
                <span> {{ form.technicalTime ? form.technicalTime : technicalTime }} </span>
              </el-form-item>
            </el-col>
          </el-row>
          <el-divider></el-divider>
          <el-form-item label="初始技术方案" prop="technicalDocument">
            <FileUpload v-if="taskName == '方案上传'" ref="bsFile" :limit="1" :filePathName="'技术方案/初始'"
              :fileType="['doc', 'docx', 'xls', 'xlsx', 'pdf', 'rar', 'zip']" @input="getTechnicalDoc"></FileUpload>
            <!-- <el-link v-if="taskName != '方案上传'" :href="`${baseUrl}${'/profile/upload' + form.technicalDocument}`"
              :underline="false" target="_blank">
              <span class="el-icon-document"> {{ getFileName(form.technicalDocument) }} </span>
            </el-link> -->
            <div v-if="form.technicalDocument">
              <el-link type="primary" @click="reviewWord(`${baseUrl}${'/profile/upload' + form.technicalDocument}`)">
                {{ getFileName(form.technicalDocument) }}
              </el-link>
              <el-link class="ml20" type="warning" :href="`${baseUrl}${'/profile/upload' + form.technicalDocument}`"
                :underline="false" target="_blank">
                <span class="el-icon-download">下载文件</span>
              </el-link>
            </div>
          </el-form-item>
          <el-form-item label="方案说明" prop="designDescription">
            <el-input type="textarea" v-model="form.designDescription" :autosize="{ minRows: 4 }" placeholder="请输入方案说明"
              :disabled="taskName != '方案上传'" />
          </el-form-item>
          <el-row>
            <el-col :span="6" :xs="24" :offset="12">
              <el-form-item label="签名" prop="designUser" v-if="showFormItem('方案上传')">
                <span class="auditor"> {{ form.designUser ? form.designUser.nickName : designUser }} </span>
              </el-form-item>
            </el-col>
            <el-col :span="6">
              <el-form-item label="日期：" label-width="120px" v-if="showFormItem('方案上传')">
                <span> {{ form.technicalUploadTime ? form.technicalUploadTime : technicalUploadTime }} </span>
              </el-form-item>
            </el-col>
          </el-row>
          <el-divider></el-divider>
          <el-form-item label="修改技术方案" prop="modifyDocument">
            <FileUpload v-if="taskName == '技术审核'" ref="jssh" :limit="1" :filePathName="'技术方案/修改'"
              :fileType="['doc', 'docx', 'xls', 'xlsx', 'pdf', 'rar', 'zip']" @input="getModifyDoc"></FileUpload>
            <!-- <el-link v-if="taskName != '技术审核'" :href="`${baseUrl}${'/profile/upload' + form.modifyDocument}`"
              :underline="false" target="_blank">
              <span class="el-icon-document"> {{ getFileName(form.modifyDocument) }} </span>
            </el-link> -->
            <div v-if="form.modifyDocument && taskName != '技术审核'">
              <el-link type="primary" @click="reviewWord(`${baseUrl}${'/profile/upload' + form.modifyDocument}`)">
                {{ getFileName(form.modifyDocument) }}
              </el-link>
              <el-link class="ml20" type="warning" :href="`${baseUrl}${'/profile/upload' + form.modifyDocument}`"
                :underline="false" target="_blank">
                <span class="el-icon-download">下载文件</span>
              </el-link>
            </div>
          </el-form-item>
          <el-form-item label="技术方案审核意见" prop="technicalComment">
            <el-input type="textarea" v-model="form.technicalComment" :autosize="{ minRows: 4 }"
              placeholder="请输入技术方案审核意见" :disabled="taskName != '技术审核'" />
          </el-form-item>
          <el-row>
            <el-col :span="6" :xs="24" :offset="12">
              <el-form-item label="签名" prop="technicalAuditor" v-if="showFormItem('技术审核')">
                <span class="auditor"> {{ form.auditUser ? form.auditUser.nickName : auditUser }} </span>
              </el-form-item>
            </el-col>
            <el-col :span="6">
              <el-form-item label="日期：" label-width="120px" v-if="showFormItem('技术审核')">
                <span> {{ form.techApprovalTime ? form.techApprovalTime : techApprovalTime }} </span>
              </el-form-item>
            </el-col>
          </el-row>
          <el-form-item label="修改技术方案" prop="reviseDocument">
            <FileUpload v-if="taskName == '技术质量与安全部审核'" ref="final" :limit="1" :filePathName="'技术方案/质量部修改'"
              :fileType="['doc', 'docx', 'xls', 'xlsx', 'pdf', 'rar', 'zip']" @input="getReviseDoc">
            </FileUpload>
            <div v-if="form.reviseDocument && taskName != '技术质量与安全部审核'">
              <el-link type="primary" @click="reviewWord(`${baseUrl}${'/profile/upload' + form.reviseDocument}`)">
                {{ getFileName(form.reviseDocument) }}
              </el-link>
              <el-link class="ml20" type="warning" :href="`${baseUrl}${'/profile/upload' + form.reviseDocument}`"
                :underline="false" target="_blank">
                <span class="el-icon-download">下载文件</span>
              </el-link>
            </div>
          </el-form-item>
          <el-form-item label="技术质量与安全部审核意见" prop="techDeptComment">
            <el-input type="textarea" v-model="form.techDeptComment" :autosize="{ minRows: 4 }" placeholder="请输入意见"
              :disabled="taskName != '技术质量与安全部审核'" />
          </el-form-item>
          <el-row>
            <el-col :span="6" :xs="24" :offset="12">
              <el-form-item label="签名" prop="techDeptLeader">
                <span class="auditor"> {{ form.techDeptLeader ? form.techDeptUser.nickName : techUser }} </span>
              </el-form-item>
            </el-col>
            <el-col :span="6">
              <el-form-item label="日期：" label-width="120px">
                <span> {{ form.techDeptTime ? form.techDeptTime : techDeptTime }} </span>
              </el-form-item>
            </el-col>
          </el-row>
          <el-form-item label="最终技术方案" prop="finalDocument">
            <FileUpload v-if="taskName == '总工审核'" ref="final" :limit="1" :filePathName="'技术方案/最终'"
              :fileType="['doc', 'docx', 'xls', 'xlsx', 'pdf', 'rar', 'zip']" @input="getFinalDoc"></FileUpload>
            <!-- <el-link v-if="taskName != '总工审核'" :href="`${baseUrl}${'/profile/upload' + form.finalDocument}`"
              :underline="false" target="_blank">
              <span class="el-icon-document"> {{ getFileName(form.finalDocument) }} </span>
            </el-link> -->
            <div v-if="form.finalDocument && taskName != '总工审核'">
              <el-link type="primary" @click="reviewWord(`${baseUrl}${'/profile/upload' + form.finalDocument}`)">
                {{ getFileName(form.finalDocument) }}
              </el-link>
              <el-link class="ml20" type="warning" :href="`${baseUrl}${'/profile/upload' + form.finalDocument}`"
                :underline="false" target="_blank">
                <span class="el-icon-download">下载文件</span>
              </el-link>
            </div>
          </el-form-item>
          <el-form-item label="总工程师审核意见" prop="manageComment">
            <el-input type="textarea" v-model="form.manageComment" :autosize="{ minRows: 4 }" placeholder="请输入总工审核意见"
              :disabled="taskName != '总工审核'" />
          </el-form-item>
          <el-row>
            <el-col :span="6" :xs="24" :offset="12">
              <el-form-item label="签名" prop="manager" v-if="showFormItem('总工审核')">
                <span class="auditor"> {{ form.managerUser ? form.managerUser.nickName : managerUser }} </span>
              </el-form-item>
            </el-col>
            <el-col :span="6">
              <el-form-item label="日期：" label-width="120px" v-if="showFormItem('总工审核')">
                <span> {{ form.manageApprovalTime ? form.manageApprovalTime : manageApprovalTime }} </span>
              </el-form-item>
            </el-col>
          </el-row>
        </el-form>
        <div style="text-align: center;" v-if="taskName">
          <el-button type="danger" @click="returnOpen = true" v-show="taskName != '技术安排' && taskName != '方案上传'">退 回</el-button>
          <el-button type="primary" @click="submitForm">提 交</el-button>
        </div>
      </el-col>
      <el-col :span="6" :xs="24">
        <el-card>
          <h2 style="text-align: center;">流程进度</h2>
          <div>
            <flow :flowData="flowData" />
          </div>
        </el-card>
      </el-col>
    </el-row>
    <el-dialog :title="completeTitle" :visible.sync="completeOpen" width="60%" append-to-body>
      <el-form ref="taskForm" :model="taskForm">
        <el-form-item prop="targetKey">
          <flow-user v-if="checkSendUser" :checkType="checkType" @handleUserSelect="handleUserSelect"></flow-user>
        </el-form-item>
      </el-form>
      <span slot="footer" class="dialog-footer">
        <el-button @click="completeOpen = false">取 消</el-button>
        <el-button type="primary" @click="taskComplete">确 定</el-button>
      </span>
    </el-dialog>
    <el-dialog title="选择审核方式" :visible.sync="commentOpen" width="450px" append-to-body>
      <div class="text-center">
        <el-form>
          <el-form-item :label="examineLabel"></el-form-item>
        </el-form>
        <el-radio-group v-model="common">
          <el-radio label="0" border>是</el-radio>
          <el-radio label="1" border>否</el-radio>
        </el-radio-group>
      </div>
      <span slot="footer" class="text-center">
        <el-button @click="commentOpen = false">取 消</el-button>
        <el-button type="primary" @click="confirmExamine">确 定</el-button>
      </span>
    </el-dialog>
    <el-dialog title="退回" :visible.sync="returnOpen" width="40%" append-to-body>
      <return-btn :taskForm="taskForm" @goBack="$emit('goBack')" @saves="" @cancel="returnOpen = false"></return-btn>
    </el-dialog>
  </div>
</template>

<script>
import { parseTime } from "@/utils/ruoyi";
import { listTechnicalPlan, getTechnicalPlan, delTechnicalPlan, addTechnicalPlan, updateTechnicalPlan } from "@/api/oa/technical/technicalPlan";
import { getProject } from "@/api/oa/project/project";
import { listUser } from '@/api/system/user';
import FlowUser from '@/components/flow/User';
import flow from '@/views/flowable/task/todo/detail/flow';
import { complete, getNextFlowNode } from "@/api/flowable/todo";
import { flowXmlAndNode } from "@/api/flowable/definition";
import { getUsersManageLeaderByDept, getUsersDeptLeaderByDept, getUserByPost } from '@/api/system/post'
import ReturnBtn from './components/flowBtn/returnBtn.vue';
import ReturnComment from './components/flowBtn/returnComment.vue';

export default {
  components: {
    FlowUser,
    flow,
    ReturnBtn,
    ReturnComment,
  },
  name: "Technical",
  props: {
    taskName: {
      type: String
    },
    taskForm: {
      type: Object,
      required: true
    }
  },
  data() {
    return {
      baseUrl: process.env.VUE_APP_BASE_API,
      planUser: '',
      managerUser: '',
      techUser:'',
      designUser: '',
      auditUser: '',
      technicalTime: undefined,
      technicalUploadTime: undefined,
      techApprovalTime: undefined,
      manageApprovalTime: undefined,
      techDeptTime:undefined,
      // 遮罩层
      loading: true,
      // 选中数组
      ids: [],
      // 非单个禁用
      single: true,
      // 非多个禁用
      multiple: true,
      // 显示搜索条件
      showSearch: true,
      // 总条数
      total: 0,
      // cmc技术方案表格数据
      technicalList: [],
      // 弹出层标题
      title: "",
      // 是否显示弹出层
      open: false,
      // 查询参数
      queryParams: {
        pageNum: 1,
        pageSize: 10,
        projectId: null,
        technicalDirector: null,
        technicalDesigner: null,
        technicalPlanner: null,
        technicalAuditor: null,
        planComment: null,
        qualityInspector: null,
        technicalTime: null,
        technicalDocument: null,
        designDescription: null,
        technicalComment: null,
        manageComment: null,
        technicalUploadTime: null,
        techApprovalTime: null,
        manageApprovalTime: null
      },
      // 表单参数
      form: {
        qualityInspector: [],
      },
      // 表单校验
      rules: {
      },
      userList: [],
      chooseProject: {},
      isSelect: false,
      // 表单参数
      form: {},
      formTotal: 0,
      flowData: {},
      checkSendUser: false,
      completeOpen: false,
      completeTitle: '',
      checkType: 'single',
      isDocumentValid: true,
      commentOpen: false,
      common: '0',
      examineLabel: '',
      showAlter:true,
      returnOpen:false,
    };
  },
  created() {
    if (this.taskName == '技术安排') {
      this.planUser = this.$store.getters.name;
      this.technicalTime = parseTime(new Date(), '{y}-{m}-{d}')
    }
    if (this.taskName == '方案上传') {
      this.designUser = this.$store.getters.name;
      this.technicalUploadTime = parseTime(new Date(), '{y}-{m}-{d}')
    }
    if (this.taskName == '技术审核') {
      this.auditUser = this.$store.getters.name;
      this.techApprovalTime = parseTime(new Date(), '{y}-{m}-{d}')
    }
    if (this.taskName == '总工审核') {
      this.managerUser = this.$store.getters.name;
      this.manageApprovalTime = parseTime(new Date(), '{y}-{m}-{d}')
    }
    if(this.taskName == '技术质量与安全部审核'){
      this.techUser = this.$store.getters.name;
      this.techDeptTime = parseTime(new Date(), '{y}-{m}-{d}')
    }
    this.getProjectById();
    this.getUserList();
    this.getList();
    flowXmlAndNode({ procInsId: this.taskForm.procInsId, deployId: this.taskForm.deployId }).then(res => {
      this.flowData = res.data;
    })
  },
  mounted() {
    this.initRules();
    this.initForm();
  },
  methods: {
    initRules() {
      if (this.taskName == '技术安排') {
        this.rules = {
          technicalDirector: [
            { required: true, message: '请选择技术负责人', trigger: 'change' },
          ],
          technicalDesigner: [
            { required: true, message: '请选择技术设计人', trigger: 'change' },
          ],
          qualityInspector: [
            { required: true, message: '请选择质量检查员', trigger: 'change' },
          ],
        }
      } else if (this.taskName == '技术审核') {
        this.rules = {
          technicalComment: [
            { required: true, message: '请输入技术方案审核意见', trigger: 'blur' }
          ]
        }
      } else if (this.taskName == '技术质量与安全部审核') {
        this.rules = {
          techDeptComment: [
            { required: true, message: '请输入技术方案审核意见', trigger: 'blur' }
          ]
        }
      } else if (this.taskName == '总工审核') {
        this.rules = {
          manageComment: [
            { required: true, message: '请输入技术方案审核意见', trigger: 'blur' }
          ]
        }
      }
    },
    initForm() {
      getTechnicalPlan(this.taskForm.formId).then(res => {
        if (this.isEmptyObject(res.data)) {
          this.formTotal = 0;
          this.form.technicalPlanner = this.$store.getters.userId;
        }
        else {
          this.formTotal = 1;
          let data = res.data;
          if (res.data.qualityInspector == null || res.data.qualityInspector == undefined || res.data.qualityInspector == "") {
            data.qualityInspector = []
          } else {
            let arr = []
            data.qualityInspector = data.qualityInspector.split(',');
            for (let inspector of data.qualityInspector) {
              arr.push(parseInt(inspector))
            }
            data.qualityInspector = arr
          }
          this.form = data;
        }
      })
    },
    // 查询项目
    getProjectById() {
      getProject(this.taskForm.formId).then(response => {
        this.chooseProject = response.data;
        this.isSelect = true
      });
    },
    // 查询用户列表
    getUserList() {
      listUser({ pageSize: 9999, pageNum: 1 }).then(res => {
        this.userList = res.rows
      })
    },
    /** 查询cmc技术方案列表 */
    getList() {
      this.loading = true;
      listTechnicalPlan(this.queryParams).then(response => {
        this.technicalList = response.rows;
        this.total = response.total;
        this.loading = false;
      });
    },
    getTechnicalDoc(val) {
      this.getDoc(val, 'technicalDocument')
    },
    getModifyDoc(val) {
      this.getDoc(val, 'modifyDocument')
    },
    getFinalDoc(val) {
      this.getDoc(val, 'finalDocument')
    },
    getReviseDoc(val){
      this.getDoc(val, 'reviseDocument')
    },
    getDoc(val, name) {
      if (val) {
        let arr = val.split('/upload')
        this.form[name] = arr[1]
        if (val == "") {
          this.form[name] = ""
        }
      }
    },
    getFileName(name) {
      if (name) {
        let arr = name.split('/')
        return arr[arr.length - 1];
      }
    },
    isEmptyObject(obj) {
      for (var key in obj) {
        if (obj.hasOwnProperty(key)) {
          return false;
        }
      }
      return true;
    },
    // 用户信息选中数据
    handleUserSelect(selection) {
      if (selection) {
        //不多选
        this.$set(this.taskForm.variables, "approval", selection.userId.toString());
      }
    },
    /** 用户审批任务 */
    taskComplete() {
      if (!this.taskForm.variables && this.checkSendUser) {
        this.$modal.msgError("请选择流程接收人员!");
        return;
      }
      if (this.taskForm) {
        complete(this.taskForm).then(response => {
          this.$modal.msgSuccess(response.msg);
          this.$emit('goBack')
        });
      }
    },
    validateDocument(doc) {
      // 这里添加你的验证逻辑  
      // 例如，检查tenderId是否为空或者是否符合其他规则  
      if (!doc || doc.trim() === '') {
        this.$message.error('请上传技术方案');
        return false;
      }
      return true;
    },
    /** 提交按钮 */
    submitForm() {
      if (this.taskName == '方案上传') {
        this.isDocumentValid = this.validateDocument(this.form.technicalDocument);
        if (!this.isDocumentValid) {
          return;
        }
      }
      this.$refs["form"].validate(valid => {
        if (valid) {
          if (this.formTotal != 0) {
            this.form.qualityInspector = this.form.qualityInspector.join(',');
            updateTechnicalPlan(this.form).then(response => {
              this.$modal.msgSuccess("修改成功");
              this.open = false;
              this.getList();
              this.initForm();
            });
            const params = { taskId: this.taskForm.taskId };
            getNextFlowNode(params).then(res => {
              if (this.taskName == '技术安排') {
                this.$set(this.taskForm.variables, "formId", this.taskForm.formId);
                this.$set(this.taskForm.variables, "techInitiator", this.form.technicalDirector);
                this.$set(this.taskForm.variables, "approval", this.form.technicalDesigner);
                complete(this.taskForm).then(response => {
                  this.$modal.msgSuccess(response.msg);
                  this.$emit('goBack')
                });
              } else if (this.taskName == '方案上传') {
                this.checkSendUser = true;
                this.completeOpen = true;
                this.completeTitle = "流程审批";
              }
              else if (this.taskName == '技术审核') {
                this.commentOpen = true;
                this.examineLabel = '是否提交到技术质量与安全部审核？'
              } else if (this.taskName == '技术质量与安全部审核') {
                this.commentOpen = true;
                this.examineLabel = '是否提交到总工程师审核？'
              }
              else if (this.taskName == '总工审核') {
                complete(this.taskForm).then(response => {
                  this.$modal.msgSuccess(response.msg);
                  this.$emit('goBack')
                });
              }
            })
          } else {
            this.form.qualityInspector = this.form.qualityInspector.join(',');
            this.form.technicalPlanId = this.taskForm.formId;
            this.form.projectId = this.taskForm.formId;
            addTechnicalPlan(this.form).then(response => {
              this.$modal.msgSuccess("新增成功");
              this.open = false;
              this.getList();
            });
            const params = { taskId: this.taskForm.taskId };
            getNextFlowNode(params).then(res => {
              this.$set(this.taskForm.variables, "formId", this.taskForm.formId);
              this.$set(this.taskForm.variables, "techInitiator", this.form.technicalDirector);
              this.$set(this.taskForm.variables, "approval", this.form.technicalDesigner);
              complete(this.taskForm).then(response => {
                this.$modal.msgSuccess(response.msg);
                this.$emit('goBack')
              });
            })
          }
        }
      });
    },
    async confirmExamine() {
      let res = this.common == '0' ? false : true;
      this.$set(this.taskForm.variables, "common", res);
      if (this.taskName == '技术审核') {
        let res = await getUsersDeptLeaderByDept({ deptId: 109 })
        this.$set(this.taskForm.variables, "approval", res.data.userId);
      } else if (this.taskName == '技术质量与安全部审核') {
        let res = await getUserByPost({ postName: "总工程师" })
        this.$set(this.taskForm.variables, "approval", res.data[0].userId);
      }
      await complete(this.taskForm).then(response => {
        this.$modal.msgSuccess(response.msg);
        this.$emit('goBack')
      });
    },
    showFormItem(name) {
      let isShow = false;
      if (name == '技术安排')
        isShow = true;
      else if (name == '方案上传')
        isShow = (this.taskName != '技术安排');
      else if (name == '技术审核')
        isShow = (this.taskName != '技术安排' && this.taskName != '方案上传');
      else if (name == '总工审核')
        isShow = (this.taskName == '总工审核' || this.taskName == '');
      return isShow;
    },
    isReturn(val) {
      this.showAlter = val
    }
  }
};
</script>

<style lang="scss" scoped>
::v-deep .el-input.is-disabled .el-input__inner {
  color: #686a6e;
}

::v-deep .el-textarea.is-disabled .el-textarea__inner,
.el-radio__input.is-disabled+span.el-radio__label {
  color: #686a6e;
}

::v-deep .el-radio__input.is-disabled+span.el-radio__label {
  color: #686a6e;
}
</style>